commit:     2a7643e5d8e0d43af8296fcb70d7ea2ba27d68b2
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 13 03:42:45 2018 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Fri Apr 13 03:47:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a7643e5

dev-python/numba: version bump.

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-python/numba/Manifest            |  1 +
 dev-python/numba/numba-0.37.0.ebuild | 43 ++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/numba/Manifest b/dev-python/numba/Manifest
index cb75c8b7805..a97a2fd0bef 100644
--- a/dev-python/numba/Manifest
+++ b/dev-python/numba/Manifest
@@ -1,2 +1,3 @@
 DIST numba-0.27.0.tar.gz 1247144 BLAKE2B 
42de6e0f7865efb597ed1dd3680eafc66906d5d9cc7a8b583847cdd12a936174af976933de5aa02859c2025b86f51da3d0148f89ecd35287caadd8da8fa8bb53
 SHA512 
3c84fa58bc5e84683b5e593b99f8c48cfc6e9fd0f41a2a18d8a4d9deba618cec1e764a0202bb71166cbeebf27b908044be29e3b183b01f31edc8e85c962df876
 DIST numba-0.35.0.tar.gz 1647189 BLAKE2B 
f0dfd6fe03e1a60b4d19f0f4d1b158d418686376f4317b7f4b5fa0734b35b6ce670661705f92994910a8b47bbd0689dca652f36cea1a2f9d5afa419ae1c8b5fd
 SHA512 
48ee1e33e7ec1327a78c3485602e911f045df8b8dbb69da3004133e6da8cbb52388712b4aeffa1e41b83d20aaa88cc8c1202ef35aabbf3e0e04ad2875df789f0
+DIST numba-0.37.0.tar.gz 1734667 BLAKE2B 
20fd765d226e6e71a0e94bbf8c6a605ef7b4cf8ba6e39667001051c642fb9b872540482e710e020c0fca6653d9ca4518ce82e48681613f28ac5b9e2346bece4f
 SHA512 
83a4e5a28a43ed1cd6584ccd63aac38a928af48c424ed119bc86487f0a2bfb9875c34f6fe0a03446d8c8e9179be81f831200c12ff31edc22bc4741789095f861

diff --git a/dev-python/numba/numba-0.37.0.ebuild 
b/dev-python/numba/numba-0.37.0.ebuild
new file mode 100644
index 00000000000..bfd87aa9847
--- /dev/null
+++ b/dev-python/numba/numba-0.37.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="NumPy aware dynamic Python compiler using LLVM"
+HOMEPAGE="http://numba.pydata.org/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+RDEPEND="
+       >=dev-python/llvmlite-0.19[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       virtual/python-funcsigs[${PYTHON_USEDEP}]
+       virtual/python-singledispatch[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+       cd "${BUILD_DIR}"/lib* || die
+       ${PYTHON} -c "import numba; numba.test()" || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to